| FoxitPDFSDKforWeb v11.0.5 Archives Foxit PDF SDK for Web

List of all members
SignPropertyController Class Reference
UIExtension » controllers
Inheritance diagram for SignPropertyController:

## Additional Inherited Members
Public Member Functions inherited from Controller
| constructor (component)
| destroy ()
| Destruction this controller instance after component destroyed.
| getComponentByName (name)
| handle (...args)
Public Member Functions inherited from Disposable
| addDestroyHook (...hooks)
| Add a function to destroyHooks list, which will be called during destroy. More...
| destroy ()
| ownsTo (owner)
| Establishes an ownership relationship where this instance will be destroyed when the owner is destroyed. Additionally, the owner will be automatically removed from the destroyHooks list when this instance is destroyed. More...
Static Public Member Functions inherited from Controller
static | extend (proto, statics)
| Extends from Controller class and generates a new Controller class! More...
static | getName ()
| Name of the controller class used in @controller directive. More...
Protected Member Functions inherited from Controller
| mounted ()
| This method is called after the component is inserted into DOM tree, where you can add some event listeners to the component or handle any other tasks. More...
| postlink ()
| This method is called during component postlink lifecycle. More...
| prelink ()
| This method is called during component prelink lifecycle. More...
Static Protected Member Functions inherited from Controller
static | services ()
Protected Attributes inherited from Controller
Component | component
| The component of this controller. More...

## Detailed Description

### Feature:

click to show the signature property dialog.

### Usage:

#### in template:

<contextmenu-item-form-showSignProperty @controller="annot-opr:SignPropertyController"></contextmenu-item-form-showSignProperty>
<contextmenu-item @controller="annot-opr:SignPropertyController"></contextmenu-item>

#### in fragment config:

new PDFUI({
fragments: [{
target: 'fv--contextmenu-item-form-showSignProperty',
config: {
callback: UIExtension.controllers.SignPropertyController
}
}]
});

@2025 Foxit Software Incorporated. All rights reserved.